Bug 1485805 - [RFE] hammer cli should allow to assign an audit policy to a single server
Summary: [RFE] hammer cli should allow to assign an audit policy to a single server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.2.11
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Ondřej Pražák
QA Contact: Silvie Chlupova
URL:
Whiteboard:
: 1644849 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-28 06:48 UTC by Paolo Di Napoli
Modified: 2019-11-05 23:07 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-0.10.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:28:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:30:14 UTC
Foreman Issue Tracker 20752 None None None 2017-08-28 08:52:07 UTC
Foreman Issue Tracker 24610 None None None 2018-08-14 10:45:35 UTC

Description Paolo Di Napoli 2017-08-28 06:48:58 UTC
Description of problem:

Using satellite GUI it is possible to assign an audit policy to a single server, on the other hand hammer cli is not allowing the same task

How to assign a policy to a single host via Satellite GUI is documented in the below article

https://access.redhat.com/articles/1438123

Version-Release number of selected component (if applicable):
Satellite 6.2.10

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
hammer cli does not allow to assign an audit policy to a single host

Expected results:
hammer cli should allow to assign an audit policy to a single host

Additional info:

Comment 1 Marek Hulan 2017-08-28 08:52:05 UTC
Created redmine issue http://projects.theforeman.org/issues/20752 from this bug

Comment 2 pm-sat@redhat.com 2017-11-13 11:09:32 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 3 pm-sat@redhat.com 2017-11-13 11:09:36 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 4 pm-sat@redhat.com 2017-11-23 13:08:32 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20752 has been resolved.

Comment 6 Ondřej Pražák 2018-08-14 10:45:33 UTC
Connecting redmine issue http://projects.theforeman.org/issues/24610 from this bug

Comment 7 Marek Hulan 2018-09-05 14:18:58 UTC
this is now pending 0.10.3 release

Comment 10 errata-xmlrpc 2018-10-16 15:28:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927

Comment 11 Ondřej Pražák 2018-11-29 07:58:11 UTC
*** Bug 1644849 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.